org.springframework.web.servlet.tags.form

## Class TextareaTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.springframework.web.servlet.tags.RequestContextAwareTag
    - - org.springframework.web.servlet.tags.HtmlEscapingAwareTag
      - - org.springframework.web.servlet.tags.form.AbstractFormTag
        - - org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
          - - org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
            - - org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
              - - org.springframework.web.servlet.tags.form.TextareaTag

All Implemented Interfaces:
  Serializable, DynamicAttributes, IterationTag, JspTag, Tag, TryCatchFinally, EditorAwareTag

    public class TextareaTag
    extends AbstractHtmlInputElementTag

Databinding-aware JSP tag for rendering an HTML '`textarea`'.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `COLS_ATTRIBUTE`
`static String` `ONSELECT_ATTRIBUTE`
`static String` `READONLY_ATTRIBUTE`
`static String` `ROWS_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

`ACCESSKEY_ATTRIBUTE, DISABLED_ATTRIBUTE, ONBLUR_ATTRIBUTE, ONCHANGE_ATTRIBUTE, ONFOCUS_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`COMMAND_NAME_VARIABLE_NAME, NESTED_PATH_VARIABLE_NAME`

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
Constructor and Description
`TextareaTag()`

### Method Summary

Methods
`protected String` `getCols()` Get the value of the '`cols`' attribute.
`protected String` `getOnselect()` Get the value of the '`onselect`' attribute.
`protected String` `getRows()` Get the value of the '`rows`' attribute.
`void` `setCols(String cols)` Set the value of the '`cols`' attribute.
`void` `setOnselect(String onselect)` Set the value of the '`onselect`' attribute.
`void` `setRows(String rows)` Set the value of the '`rows`' attribute.
`protected int` `writeTagContent(TagWriter tagWriter)` Subclasses should implement this method to perform tag content rendering.

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

`getAccesskey, getDisabled, getOnblur, getOnchange, getOnfocus, getReadonly, isDisabled, isReadonly, setAccesskey, setDisabled, setOnblur, setOnchange, setOnfocus, setReadonly, writeOptionalAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, isValidDynamicAttribute, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`autogenerateId, convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId, setPath`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

`createTagWriter, doStartTagInternal, evaluate, evaluateBoolean, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`isHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doStartTag, getRequestContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROWS_ATTRIBUTE

    public static final String ROWS_ATTRIBUTE

See Also:
  Constant Field Values

#### COLS_ATTRIBUTE

    public static final String COLS_ATTRIBUTE

See Also:
  Constant Field Values

#### ONSELECT_ATTRIBUTE

    public static final String ONSELECT_ATTRIBUTE

See Also:
  Constant Field Values

#### READONLY_ATTRIBUTE

    public static final String READONLY_ATTRIBUTE

See Also:
  Constant Field Values

### Constructor Detail

#### TextareaTag

    public TextareaTag()

### Method Detail

#### setRows

    public void setRows(String rows)

Set the value of the '`rows`' attribute. May be a runtime expression.

#### getRows

    protected String getRows()

Get the value of the '`rows`' attribute.

#### setCols

    public void setCols(String cols)

Set the value of the '`cols`' attribute. May be a runtime expression.

#### getCols

    protected String getCols()

Get the value of the '`cols`' attribute.

#### setOnselect

    public void setOnselect(String onselect)

Set the value of the '`onselect`' attribute. May be a runtime expression.

#### getOnselect

    protected String getOnselect()

Get the value of the '`onselect`' attribute.

#### writeTagContent

    protected int writeTagContent(TagWriter tagWriter)
                           throws JspException

Description copied from class: `AbstractFormTag`
Subclasses should implement this method to perform tag content rendering.

Specified by:
  `writeTagContent` in class `AbstractFormTag`
Returns:
  valid tag render instruction as per `Tag.doStartTag()`.
Throws:
  `JspException`